Package org.h2gis.functions.io.gpx

# Class GPXRead

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.functions.io.gpx.GPXRead

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class GPXRead extends org.h2gis.api.AbstractFunction implements org.h2gis.api.ScalarFunction
SQL Function to copy GPX File data into a Table.

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`GPXRead()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static void`
`importTable(Connection connection, String fileName)`
Copy data from GPX File into a new table in specified connection.
`static void`
`importTable(Connection connection, String fileName, String tableReference, String encoding, boolean deleteTables)`
Copy data from GPX File into a new table in specified connection.
`static void`
`importTable(Connection connection, String fileName, String tableReference, org.h2.value.Value option)`
`static void`
`importTable(Connection connection, String fileName, org.h2.value.Value option)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### GPXRead

public GPXRead()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

### importTable

public static void importTable(Connection connection, String fileName, org.h2.value.Value option) throws SQLException, IOException

Throws:
  `SQLException`
  `IOException`

### importTable

public static void importTable(Connection connection, String fileName, String tableReference, org.h2.value.Value option) throws SQLException, IOException

Throws:
  `SQLException`
  `IOException`

### importTable

public static void importTable(Connection connection, String fileName, String tableReference, String encoding, boolean deleteTables) throws IOException, SQLException
Copy data from GPX File into a new table in specified connection.

Parameters:
  `connection` - Active connection
  `tableReference` - [[catalog.]schema.]table reference
  `fileName` - File path of the SHP file
  `encoding` - charset encoding
  `deleteTables` - true to delete the existing tables
Throws:
  `IOException`
  `SQLException`

### importTable

public static void importTable(Connection connection, String fileName) throws IOException, SQLException
Copy data from GPX File into a new table in specified connection.

Parameters:
  `connection` -
  `fileName` -
Throws:
  `IOException`
  `SQLException`